VSTGUI: InputStream Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
InputStream Class Referenceabstract

ByteOrder aware input stream interface. More...

`#include <cstream.h>`

Inheritance diagram for InputStream:

## Public Member Functions
| InputStream (ByteOrder byteOrder=kNativeByteOrder)
virtual | ~InputStream () noexcept=default
ByteOrder | getByteOrder () const
void | setByteOrder (ByteOrder newByteOrder)
bool | operator>> (int8_t &output)
bool | operator>> (uint8_t &output)
bool | operator>> (int16_t &output)
bool | operator>> (uint16_t &output)
bool | operator>> (int32_t &output)
bool | operator>> (uint32_t &output)
bool | operator>> (int64_t &output)
bool | operator>> (uint64_t &output)
bool | operator>> (double &output)
virtual bool | operator>> (std::string &string)=0
virtual uint32_t | readRaw (void *buffer, uint32_t size)=0

## Detailed Description

ByteOrder aware input stream interface.

## Constructor & Destructor Documentation

## ◆ InputStream()

InputStream | ( | ByteOrder | byteOrder = kNativeByteOrder | ) |
| inlineexplicit

## ◆ ~InputStream()

virtual ~InputStream | ( |  | ) |
| virtualdefaultnoexcept

## Member Function Documentation

## ◆ getByteOrder()

ByteOrder getByteOrder | ( |  | ) | const
| inline

## ◆ operator>>() [1/10]

bool operator>> | ( | double & | output | ) |

## ◆ operator>>() [2/10]

bool operator>> | ( | int16_t & | output | ) |

## ◆ operator>>() [3/10]

bool operator>> | ( | int32_t & | output | ) |

## ◆ operator>>() [4/10]

bool operator>> | ( | int64_t & | output | ) |

## ◆ operator>>() [5/10]

bool operator>> | ( | int8_t & | output | ) |

## ◆ operator>>() [6/10]

virtual bool operator>> | ( | std::string & | string | ) |
| pure virtual

Implemented in CFileStream, CMemoryStream, CResourceInputStream, and ZLibInputStream.

## ◆ operator>>() [7/10]

bool operator>> | ( | uint16_t & | output | ) |

## ◆ operator>>() [8/10]

bool operator>> | ( | uint32_t & | output | ) |

## ◆ operator>>() [9/10]

bool operator>> | ( | uint64_t & | output | ) |

## ◆ operator>>() [10/10]

bool operator>> | ( | uint8_t & | output | ) |

## ◆ readRaw()

virtual uint32_t readRaw | ( | void * | buffer,
|  | uint32_t | size )
| pure virtual

Implemented in CFileStream, CMemoryStream, CResourceInputStream, and ZLibInputStream.

## ◆ setByteOrder()

void setByteOrder | ( | ByteOrder | newByteOrder | ) |
| inline

The documentation for this class was generated from the following files:

- cstream.h
- cstream.cpp